My favorites | Sign in
Project Home Downloads Wiki Issues Source
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 7: Not running on Arch Linux
1 person starred this issue and may be notified of changes. Back to list
Status:  New
Owner:  ----


Sign in to add a comment
 
Reported by ami...@gmail.com, May 10, 2012
If I run on Arch I get errors.

= python 3 =
$ python startQT.py
  File "startQT.py", line 602
    print "IOError"
                  ^
SyntaxError: invalid syntax

= python 2 =
$ python2 startQT.py
Traceback (most recent call last):
  File "startQT.py", line 18, in <module>
    from GetMethods import *
  File "/home/dev/Desktop/apkinspector/GetMethods.py", line 20, in <module>
    import androguard, analysis, androlyze
  File "/home/dev/Desktop/apkinspector/androguard/androlyze.py", line 35, in <module>
    import IPython.ipapi
ImportError: No module named ipapi

I install all dependencies for python2 and python3 (pyqt,pydot,ipython,python-scipy,apktool).
May 13, 2012
#1 ami...@gmail.com
The problem solved.
ipython not support ipappi after version 0.10.2 and arch have version 0.12.
I installed python-pip2 and via pip I installed ipython-0.10.2.
Sign in to add a comment

Powered by Google Project Hosting